#### D.2.12.11 ord_test

Procedure from library `ring.lib` (see ring_lib).

Usage:
  ord_test(r); r ring/qring

Return:
  int 1 (resp. -1, resp. 0) if ordering of r is global (resp. local, resp. mixed)

Example:

    LIB "ring.lib";
    ring R = 0,(x,y),dp;
    ring S = 0,(u,v),ls;
    ord_test(R);
    ==> 1
    ord_test(S);
    ==> -1
    ord_test(R+S);
    ==> 0

See also: attrib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.